Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface ProtegeSlot

All Superinterfaces:
  Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, ProtegeInstance, edu.stanford.smi.protege.model.Slot

All Known Subinterfaces:
  OWLDatatypeProperty, OWLObjectProperty, OWLProperty, RDFProperty

All Known Implementing Classes:
  AbstractOWLProperty, DefaultOWLDatatypeProperty, DefaultOWLObjectProperty, DefaultRDFProperty

    public interface ProtegeSlot

extends ProtegeInstance, edu.stanford.smi.protege.model.Slot

An interface to wrap the Protege Slot interface for OWL. This basically deprecates most methods and points to their replacements in the OWL API.

Author:
  Holger Knublauch

Method Summary
`void` | `addDirectSuperslot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`void` | `addSlotListener(edu.stanford.smi.protege.event.SlotListener listener)` Deprecated.
`Collection` | `getAllowedClses()` Deprecated.
`Collection` | `getAllowedParents()` Deprecated. set the value of the protege:allowedParents property directly
`Collection` | `getAllowedValues()` Deprecated. compare to OWLDataRange as range
`boolean` | `getAllowsMultipleValues()` Deprecated.
`edu.stanford.smi.protege.model.Facet` | `getAssociatedFacet()` Deprecated. no OWL equivalent
`Collection` | `getDefaultValues()` Deprecated. no OWL equivalent
`Collection` | `getDirectDomain()` Deprecated.
`int` | `getDirectSubslotCount()` Deprecated.
`Collection` | `getDirectSubslots()` Deprecated.
`int` | `getDirectSuperslotCount()` Deprecated.
`Collection` | `getDirectSuperslots()` Deprecated.
`Collection` | `getDocumentation()` Deprecated.
`Collection` | `getDomain()` Deprecated.
`edu.stanford.smi.protege.model.Slot` | `getInverseSlot()` Deprecated.
`int` | `getMaximumCardinality()` Deprecated.
`Number` | `getMaximumValue()` Deprecated. no OWL equivalent
`int` | `getMinimumCardinality()` Deprecated. no OWL equivalent
`Number` | `getMinimumValue()` Deprecated. no OWL equivalent
`Collection` | `getSubslots()` Deprecated.
`Collection` | `getSuperslots()` Deprecated.
`Collection` | `getValues()` Returns the "template slot values" for a top level slot.
`edu.stanford.smi.protege.model.ValueType` | `getValueType()` Deprecated.
`boolean` | `hasDirectSuperslot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`boolean` | `hasSuperslot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`boolean` | `hasValueAtSomeFrame()` Deprecated. not needed
`void` | `moveDirectSubslot(edu.stanford.smi.protege.model.Slot movedCls, edu.stanford.smi.protege.model.Slot afterCls)` Deprecated. not needed
`void` | `removeDirectSuperslot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`void` | `removeSlotListener(edu.stanford.smi.protege.event.SlotListener listener)` Deprecated.
`void` | `setAllowedClses(Collection clses)` Deprecated.
`void` | `setAllowedParents(Collection parents)` Deprecated. set the value of the protege:allowedParents property directly
`void` | `setAllowedValues(Collection values)` Deprecated. set an OWLDataRange as range
`void` | `setAllowsMultipleValues(boolean b)` Deprecated.
`void` | `setAssociatedFacet(edu.stanford.smi.protege.model.Facet facet)` Deprecated. no OWL equivalent
`void` | `setDefaultValues(Collection values)` Deprecated. no OWL equivalent
`void` | `setDirectTypeOfSubslots(edu.stanford.smi.protege.model.Cls cls)` Deprecated. not needed
`void` | `setDocumentation(String doc)` Deprecated.
`void` | `setInverseSlot(edu.stanford.smi.protege.model.Slot slot)` Deprecated.
`void` | `setMaximumCardinality(int max)` Deprecated.
`void` | `setMaximumValue(Number n)` Deprecated. no OWL equivalent
`void` | `setMinimumCardinality(int min)` Deprecated. no OWL equivalent
`void` | `setMinimumValue(Number n)` Deprecated. no OWL equivalent
`void` | `setValues(Collection values)` Deprecated. no OWL equivalent
`void` | `setValueType(edu.stanford.smi.protege.model.ValueType type)` Deprecated.

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, delete, getFrameID, getName, isValid, isVisible, moveDirectOwnSlotValue, setVisible`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protege.model.Slot
`getTemplateSlotClses, rename`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, delete, getFrameID, getName, isValid, isVisible, moveDirectOwnSlotValue, setVisible`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addDirectSuperslot

    void addDirectSuperslot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `addDirectSuperslot` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.addSuperproperty(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### addSlotListener

    void addSlotListener(edu.stanford.smi.protege.event.SlotListener listener)

  Deprecated.

  Specified by:
    `addSlotListener` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.addPropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### getAllowedClses

    Collection getAllowedClses()

  Deprecated.

  Specified by:
    `getAllowedClses` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.getUnionRangeClasses()`

### getAllowedParents

    Collection getAllowedParents()

  Deprecated. set the value of the protege:allowedParents property directly

  Specified by:
    `getAllowedParents` in interface `edu.stanford.smi.protege.model.Slot`

### getAllowedValues

    Collection getAllowedValues()

  Deprecated. compare to OWLDataRange as range

  Specified by:
    `getAllowedValues` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.getRange()`

### getAllowsMultipleValues

    boolean getAllowsMultipleValues()

  Deprecated.

  Specified by:
    `getAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.isFunctional()`

### getAssociatedFacet

    edu.stanford.smi.protege.model.Facet getAssociatedFacet()

  Deprecated. no OWL equivalent

  Specified by:
    `getAssociatedFacet` in interface `edu.stanford.smi.protege.model.Slot`

### getDefaultValues

    Collection getDefaultValues()

  Deprecated. no OWL equivalent

  Specified by:
    `getDefaultValues` in interface `edu.stanford.smi.protege.model.Slot`

### getDirectSubslotCount

    int getDirectSubslotCount()

  Deprecated.

  Specified by:
    `getDirectSubslotCount` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.getSubpropertyCount()`

### getDirectSubslots

    Collection getDirectSubslots()

  Deprecated.

  Specified by:
    `getDirectSubslots` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(false)`

### getDirectSuperslotCount

    int getDirectSuperslotCount()

  Deprecated.

  Specified by:
    `getDirectSuperslotCount` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.getSuperpropertyCount()`

### getDirectSuperslots

    Collection getDirectSuperslots()

  Deprecated.

  Specified by:
    `getDirectSuperslots` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(false)`

### hasDirectSuperslot

    boolean hasDirectSuperslot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `hasDirectSuperslot` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(false)`

### hasSuperslot

    boolean hasSuperslot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `hasSuperslot` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(true)`

### moveDirectSubslot

    void moveDirectSubslot(edu.stanford.smi.protege.model.Slot movedCls,
                           edu.stanford.smi.protege.model.Slot afterCls)

  Deprecated. not needed

  Specified by:
    `moveDirectSubslot` in interface `edu.stanford.smi.protege.model.Slot`

### getDocumentation

    Collection getDocumentation()

  Deprecated.

  Specified by:
    `getDocumentation` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getDocumentation` in interface `ProtegeInstance`
  Specified by:
    `getDocumentation` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFResource.getComments()`

### getInverseSlot

    edu.stanford.smi.protege.model.Slot getInverseSlot()

  Deprecated.

  Specified by:
    `getInverseSlot` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.getInverseProperty()`

### getMaximumCardinality

    int getMaximumCardinality()

  Deprecated.

  Specified by:
    `getMaximumCardinality` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.isFunctional()`

### getMaximumValue

    Number getMaximumValue()

  Deprecated. no OWL equivalent

  Specified by:
    `getMaximumValue` in interface `edu.stanford.smi.protege.model.Slot`

### getMinimumCardinality

    int getMinimumCardinality()

  Deprecated. no OWL equivalent

  Specified by:
    `getMinimumCardinality` in interface `edu.stanford.smi.protege.model.Slot`

### getMinimumValue

    Number getMinimumValue()

  Deprecated. no OWL equivalent

  Specified by:
    `getMinimumValue` in interface `edu.stanford.smi.protege.model.Slot`

### getSubslots

    Collection getSubslots()

  Deprecated.

  Specified by:
    `getSubslots` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(true)`

### getSuperslots

    Collection getSuperslots()

  Deprecated.

  Specified by:
    `getSuperslots` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(true)`

### getDirectDomain

    Collection getDirectDomain()

  Deprecated.

  Specified by:
    `getDirectDomain` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(false)`

### getDomain

    Collection getDomain()

  Deprecated.

  Specified by:
    `getDomain` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(true)`

### getValues

    Collection getValues()

  Returns the "template slot values" for a top level slot. Usually this is empty. Beware: this method probably doesn't do what you think! It does NOT return own slot values at a particular frame. To get own slot values at a class see `Frame.getOwnSlotValues(Slot)` What it does do is return the values which will become template slot values when this slot is attached to a class.

  Specified by:
    `getValues` in interface `edu.stanford.smi.protege.model.Slot`

### getValueType

    edu.stanford.smi.protege.model.ValueType getValueType()

  Deprecated.

  Specified by:
    `getValueType` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `(true)`

### hasValueAtSomeFrame

    boolean hasValueAtSomeFrame()

  Deprecated. not needed

  Specified by:
    `hasValueAtSomeFrame` in interface `edu.stanford.smi.protege.model.Slot`

### removeDirectSuperslot

    void removeDirectSuperslot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `removeDirectSuperslot` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.removeSuperproperty(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### removeSlotListener

    void removeSlotListener(edu.stanford.smi.protege.event.SlotListener listener)

  Deprecated.

  Specified by:
    `removeSlotListener` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.removePropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### setAllowedClses

    void setAllowedClses(Collection clses)

  Deprecated.

  Specified by:
    `setAllowedClses` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.setUnionRangeClasses(java.util.Collection)`

### setAllowedParents

    void setAllowedParents(Collection parents)

  Deprecated. set the value of the protege:allowedParents property directly

  Specified by:
    `setAllowedParents` in interface `edu.stanford.smi.protege.model.Slot`

### setAllowedValues

    void setAllowedValues(Collection values)

  Deprecated. set an OWLDataRange as range

  Specified by:
    `setAllowedValues` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.setRange(edu.stanford.smi.protegex.owl.model.RDFResource)`

### setAllowsMultipleValues

    void setAllowsMultipleValues(boolean b)

  Deprecated.

  Specified by:
    `setAllowsMultipleValues` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.setFunctional(boolean)`

### setAssociatedFacet

    void setAssociatedFacet(edu.stanford.smi.protege.model.Facet facet)

  Deprecated. no OWL equivalent

  Specified by:
    `setAssociatedFacet` in interface `edu.stanford.smi.protege.model.Slot`

### setDefaultValues

    void setDefaultValues(Collection values)

  Deprecated. no OWL equivalent

  Specified by:
    `setDefaultValues` in interface `edu.stanford.smi.protege.model.Slot`

### setDirectTypeOfSubslots

    void setDirectTypeOfSubslots(edu.stanford.smi.protege.model.Cls cls)

  Deprecated. not needed

  Specified by:
    `setDirectTypeOfSubslots` in interface `edu.stanford.smi.protege.model.Slot`

### setDocumentation

    void setDocumentation(String doc)

  Deprecated.

  Specified by:
    `setDocumentation` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `setDocumentation` in interface `ProtegeInstance`
  Specified by:
    `setDocumentation` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFResource.setComment(java.lang.String)`

### setInverseSlot

    void setInverseSlot(edu.stanford.smi.protege.model.Slot slot)

  Deprecated.

  Specified by:
    `setInverseSlot` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.setInverseProperty(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### setMaximumCardinality

    void setMaximumCardinality(int max)

  Deprecated.

  Specified by:
    `setMaximumCardinality` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.setFunctional(boolean)`

### setMaximumValue

    void setMaximumValue(Number n)

  Deprecated. no OWL equivalent

  Specified by:
    `setMaximumValue` in interface `edu.stanford.smi.protege.model.Slot`

### setMinimumCardinality

    void setMinimumCardinality(int min)

  Deprecated. no OWL equivalent

  Specified by:
    `setMinimumCardinality` in interface `edu.stanford.smi.protege.model.Slot`

### setMinimumValue

    void setMinimumValue(Number n)

  Deprecated. no OWL equivalent

  Specified by:
    `setMinimumValue` in interface `edu.stanford.smi.protege.model.Slot`

### setValues

    void setValues(Collection values)

  Deprecated. no OWL equivalent

  Specified by:
    `setValues` in interface `edu.stanford.smi.protege.model.Slot`

### setValueType

    void setValueType(edu.stanford.smi.protege.model.ValueType type)

  Deprecated.

  Specified by:
    `setValueType` in interface `edu.stanford.smi.protege.model.Slot`
  See Also:
    `RDFProperty.setRange(edu.stanford.smi.protegex.owl.model.RDFResource)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.